<?php 
if (!defined('BASEPATH')) exit('No direct script access allowed');
class m_template_relaas_perdata extends CI_Model {
	function getListPihak($idperkara,$pihakke){
		try {
			if(!is_numeric($idperkara) OR !is_numeric($pihakke)){
				return '';
			}
			return $this->db->query('SELECT pihak_id,nama FROM perkara_pihak'.$pihakke.' WHERE perkara_id='.$idperkara);
		} catch (Exception $e) {
		}
	}

	function getFilename($idalurperkara,$idtahapan){
		try{
			if(!is_numeric($idalurperkara) OR !is_numeric($idtahapan)){
				return '';
		}
		return $this->db->query('SELECT * FROM template_dokumen WHERE alur_perkara_id='.$idalurperkara.' AND tahapan_id='.$idtahapan.' AND nomor<=300;');
	} catch (Exception $e){
		}
	}

	function getListJurusita($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
		}
		return $this->db->query('SELECT perkara_id, jurusita_id, jurusita_nama FROM perkara_jurusita a WHERE perkara_id ='.$idperkara);
	} catch (Exception $e){
		}
	}

	function getTanggalPersidangan($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
		}
		return $this->db->query('SELECT * FROM perkara_jadwal_sidang WHERE perkara_id='.$idperkara);
	}catch (Exception $e){
		}
	}

	function getTanggalPersidanganCetak($idpersidangan){
		try{
			if(!is_numeric($idpersidangan)){
				return '';
		}
		return $this->db->query('SELECT * FROM perkara_jadwal_sidang WHERE id='.$idpersidangan);
	}catch (Exception $e){
		}
	}

	function getBiayaPerkara($idperkara,$idbiaya){
		try{
			if(!is_numeric($idperkara)OR !is_numeric($idbiaya)){
				return '';
			}
		return $this->db->query('SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id='.$idperkara.' AND jenis_biaya_id='.$idbiaya);
	}catch (Exception $e){
		}
	}
	function getCetakBiayaPerkara($idbiaya){
		try{
			if(!is_numeric($idbiaya)){
				return '';
			}
		return $this->db->query('SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE id='.$idbiaya);
	}catch (Exception $e){
		}
	}
	function getBiayaPerkaraSaksi($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
			}				
		return $this->db->query("SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id =".$idperkara." AND uraian LIKE '%Biaya Panggilan Saksi%'");
	}catch (Exception $e){
		}
	}

	function getBiayaPerkaraSaksiPnbp($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
			}				
		return $this->db->query("SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id =".$idperkara." AND uraian LIKE '%Biaya PNBP Penyerahan Akta Panggilan Saksi%'");
	}catch (Exception $e){
		}
	}

	function getKuasaHukum($idperkara){
		try{
			if(!is_numeric($idperkara) ){
				return '';
		}
		return $this->db->query('SELECT a.id,a.urutan, a.pihak_id, a.nama, b.alamat, b.pekerjaan  FROM perkara_pengacara WHERE perkara_id='.$idperkara.' AND pihak_ke=1');
	}catch (Exception $e){
		}
	}

	function getKuasaHukumCetak($idpengacara){
		try{
			if(!is_numeric($idpengacara)){
				return '';
		}
		return $this->db->query('SELECT a.nama, b.alamat, b.pekerjaan FROM perkara_pengacara WHERE id='.$idpengacara);
	}catch (Exception $e){
		}
	}

	function getDataPerkara($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query('SELECT nomor_perkara,nomor_surat,tanggal_surat, tanggal_pendaftaran FROM perkara WHERE perkara_id ='.$idperkara);
		} catch(PDOException $e) {		
		}
	}

	function getDataPN(){
		try {
			return $this->db->query ("SELECT * FROM 
					(SELECT value AS NamaPN FROM sys_config WHERE id = 62) AS T1,
					(SELECT value AS KetuaPNNama FROM sys_config WHERE id = 64) AS T2,
					(SELECT value AS AlamatPN FROM sys_config WHERE id = 63) AS T3,
					(SELECT value AS WakilKetuaPNNama FROM sys_config WHERE id = 66) AS T4,
					(SELECT value AS ZonaWaktu FROM sys_config WHERE id = 75) AS T5;");
			} catch(PDOException $e) {
			}
	}

	function getPihakPenggugat($idperkara){
		try{
			if(!is_numeric($idperkara)){
						return '';
					}
			return $this->db->query ('SELECT pihak_id, urutan, nama, alamat, jenis_pihak_id AS info FROM perkara_pihak1 WHERE perkara_id ='.$idperkara.' ORDER BY urutan ASC');
			}catch(PDOException $e) {
		}
	}

	function getDataPihakTergugat($idperkara){
		try{
			if(!is_numeric($idperkara)){
						return '';
					}
			return $this->db->query ('SELECT pihak_id, urutan,  nama, alamat,
					jenis_pihak_id as info
					FROM perkara_pihak2 WHERE perkara_id ='.$idperkara.' ORDER BY urutan ASC');
		}catch(PDOException $e) {
		}
	}

	function getCetakPihakPenggugat($idpihak){
		try{
			if(!is_numeric($idpihak)){
						return '';
					}
			return $this->db->query ('SELECT pihak_id, urutan,  nama, alamat, pekerjaan,
					jenis_pihak_id as info
					FROM perkara_pihak1 WHERE pihak_id ='.$idpihak);
		}catch(PDOException $e) {
		}
	}

	function getCetakPihakTergugat($idpihak){
		try{
			if(!is_numeric($idpihak)){
						return '';
					}
			return $this->db->query ('SELECT pihak_id, urutan,  nama, alamat, pekerjaan,
					jenis_pihak_id as info
					FROM perkara_pihak2 WHERE pihak_id ='.$idpihak);
		}catch(PDOException $e) {
		}
	}

	function getDataDocumentTemplate($idalurperkara,$idatahapan,$idproses,$notemplate,$keyword)
	{
		if (empty($keyword) or $keyword=='')
		{
		$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
				FROM alur_perkara a,template_dokumen b 
				WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
												AND b.tahapan_id =$idatahapan 
												AND b.proses_id=$idproses 
												AND b.nomor=$notemplate";
		}
		else
		{
		$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
				FROM alur_perkara a,template_dokumen b 
				WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
												AND b.tahapan_id =$idatahapan 
												AND b.proses_id=$idproses 
												AND b.nama LIKE '%$keyword%'";
		}
		$query=$this->db->query($sql);
		return $query;
	}
}
?>
